#!/bin/sh

case "$1" in
	start)
		menu=/etc/vdr/menu.xml
		# update app start menu
		sed "/<menu name=\"Apps\">/,/<\/menu>/d; /<command name=\"Exit\"/d" -i $menu
		if [ "$(setting get apps.autostart)" != "VDR" ]; then
			sed "s|^\(</menus>\)|\t<command name=\"Exit\" execute=\"setting call apps.start\" />\n\1|" -i $menu
		fi
		setting call --sh apps.all | \
		while read values; do
			hide=
			eval $values
			if [ "$title" != "VDR" -a "$title" != "System-Setup" -a "$hide" != "true" ]; then
				if ! grep -q "<menu name=\"Apps\">" $menu; then
					sed "s|^\(\t<menu name=\"System\">\)|\t<menu name=\"Apps\">\n\t</menu>\n\1|" -i $menu
				fi
				sed "s|\(.*\)\(<menu name=\"Apps\">\)|\1\2\n\1\t<command name=\"$title\" execute=\"setting call apps.start '$title'\" />|" -i $menu
			fi
		done
		# add IP info
		sed "s/name=\"System Setup[^\"]*\"/name=\"System Setup \(http:\/\/$(setting get system.ip[0])\)\"/" -i $menu
		;;
esac
